Description

Wen have top level project with activated issue module to be able to search and browse children projects issues, but we don't need

to be able to create issue for top level project, so we deactivated all trackers.

We expect that "new issue" tab is hidden then, becauase one is not allowed to create issues, but the tab is vissble and we see

following error message wehn clicking "new issue"

No tracker is associated to this project. Please check the Project settings.

 That is useless and should be fixed!

Related issues:

Is duplicate of Redmine - Feature #18571: Tab "New Issue" should not be displ... Closed

History

#1 - 2011-06-09 10:30 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-06-09 10:33 - Etienne Massip

Guess this tab should be hidden to users to which there is no accessible tracker (depending upon workflow definition), instead of no active tracker.

#3 - 2013-01-16 11:07 - Daniel Felix

- Tracker changed from Defect to Feature

This is still reproduceable in Redmine 2.2.1, but it's more a feature request than a defect because Redmine doesn't crash.

Redmine will give some Feedback to the enduser.

In my opinion there should be no button "new issue" if the user has no permissions to define the configuration.

If he has those permissions, the menu item should be displayed but give this errormessage.

Users without those permission won't know how to fix it.

#4 - 2013-01-16 12:59 - Terence Mill

Its: not bug, but bad user experience.

#5 - 2013-01-16 13:02 - Daniel Felix

Terence Mill wrote:

Its: not bug, but bad user experience.

 Yes I totally agree. Therefore I added my idea how to improve it. :-)

#6 - 2013-01-16 19:10 - Jean-Baptiste Barth

I also experience this " " problem " ". But I think I already hear the voice of a famous redmine developer saying: "yup but it would add one complex

query on every project page, not even depending on the module, so no way"

Hiding the "New issue" tab "if no tracker is available at all" is easy. We could cache the information in a dedicated column in the record for this project,

or add a pseudo-EnabledModule that would take care of this. This information would be updated on project save. This may require denormalizing a bit

the informations in the database but it should not be hard.
Hiding the "New issue" tab depending on the workflow is user specific and thus cannot be inferred from already available information (basically: global

settings, the project, the user, and his memberships with associated roles). Caching it in the session seems like an anti-pattern from a maintenance

point of view.

Any thought about this ?

#7 - 2013-01-16 19:50 - Etienne Massip

Just tried and it works if you set different permissions to the user on the parent project (only view issues) and its subprojects (create)? Where am I

wrong?

#8 - 2013-01-16 23:53 - Terence Mill

Well, that is a work around what would need to create pseudo roles so the user don't see the New issue tab. In fact we manage many divisions in

hierarchy with projects below als leafes via ldap group and roles which have also the right to create issues. If this projects have access to any tracker

it makes sense, if not it don't to have that tab "new Issue"

You suggest (in worst case) to copy every role with same rights minus "create issue right", to use for all projects which don't have trackers but

subprojects have. I think this is realy hard to maintain and understand after a while, even if you have many roles.

You have to explain the user such "our system can't do it, but we have to create system roles to work around" very difficult.

Furthermore the problem with a projects and a user with not any start state for a tracker there, but altough you see the "new issue" tab - remains

further.

#9 - 2013-01-17 09:45 - Etienne Massip

- Target version changed from Candidate for next minor release to Candidate for next major release

Terence Mill wrote:

Well, that is a work around what would need to create pseudo roles so the user don't see the New issue tab.

 This issue is already about a workaround. You might find it's more correct to not display the "new issue" link depending on the actual user right to do

so than on the fact that he has the possibility to do so because of the fact no tracker has been enabled for the project.

You suggest (in worst case) to copy every role with same rights minus "create issue right", to use for all projects which don't have trackers but

subprojects have. I think this is realy hard to maintain and understand after a while, even if you have many roles.

 How many roles do you have?? Can't you really define one or two roles at the parent project level that would suit every user?

Furthermore the problem with a projects and a user with not any start state for a tracker there, but altough you see the "new issue" tab - remains

further.

 Sorry I don't understand what the problem is?

#10 - 2013-01-17 10:09 - Terence Mill

ou might find it's more correct to not display the "new issue" link depending on the actual user right to do so than on the fact that he has the

possibility to do so because of the fact no tracker has been enabled for the project.

Thats exactly the same what my last sentence is about. This issue describes a fix for the case not eve an issue tracker is active.

I think we need another issue for a similar goal "not to display the new issue link" if any tracker is active but logged in user has no rigthts, there are 2

cases

a.) logged in user is not allowed to create issue based on role2rights matrix - e.g right "create issue"

b.) logged in user has no start state allowed in any trackers worflow - this i actually(trunk) always possible, but would change if feature request 

#12718,#7839 got implemented

Shall i create a new issue for this variant?

#11 - 2013-01-19 15:43 - Etienne Massip

- Subject changed from Hide "new issue" tab when no tracker active to Hide "new issue" links when user has no actual possibility to create an issue

Terence Mill wrote:

Shall i create a new issue for this variant?

2025-05-17 2/3

https://www.redmine.org/issues/12718
https://www.redmine.org/issues/7839


 No, this is this issue, thanks.

I think it's worth it dealing with it but I also think it should be solved using rights.

One other way to solve it would be to disable the issue module in parent project and display subprojects Issues related information if they have the

Issue module enabled and the Display subprojects issues on main projects by default is set. A bit too much complicated though.

#12 - 2015-03-29 05:46 - Go MAEDA

- Is duplicate of Feature #18571: Tab "New Issue" should not be displayed if a project has no trackers added

#13 - 2015-04-05 05:59 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

implemented by #18571 (Redmine 3.0).

"New Issue" tab disappears when there is no associated tracker.
